Name:		calcurse
Version:	4.8.1
Release:	%mkrel 1
Summary:	A text-based calendar and scheduling application
License:	GPLv2+ and BSD
Group:		Office/Organizer
URL:		https://calcurse.org/
Source0:	https://calcurse.org/files/%{name}-%{version}.tar.gz

BuildRequires:	gettext
BuildRequires:	pkgconfig(ncurses)
Recommends:	%{name}-doc


%description
Calcurse helps keep track of events, appointments and everyday tasks.
A configurable notification system reminds user of upcoming deadlines,
and the curses based interface can be customized to suit user needs.

%package doc
Summary:	calcurse online built in manual

%description doc
Calcurse helps keep track of events, appointments and everyday tasks.
A configurable notification system reminds user of upcoming deadlines,
and the curses based interface can be customized to suit user needs.

This package contains the online built in manual


%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
install -m644 doc/%{name}.1 -D %{buildroot}%{_mandir}/man1/%{name}.1

%find_lang %name

%files -f %name.lang
%doc AUTHORS doc/submitting-patches* doc/manual*
%{_bindir}/%{name}
%{_bindir}/%{name}-vdir
%{_bindir}/%{name}-caldav
%{_bindir}/%{name}-upgrade
%{_mandir}/man1/%{name}.1*
%license COPYING

%files doc
%{_datadir}/doc/%{name}/*txt
%{_datadir}/doc/%{name}/*/*txt
%exclude %{_datadir}/doc/%{name}/manual.txt
%exclude %{_datadir}/doc/%{name}/submitting-patches.txt


%changelog
* Thu Sep 14 2023 solbu <solbu> 4.8.1-1.mga10
+ Revision: 1986665
- New release: 4.8.1

* Thu Sep 22 2022 solbu <solbu> 4.8.0-1.mga9
+ Revision: 1891390
- New relaase: 4.8.0

* Fri Mar 18 2022 umeabot <umeabot> 4.7.1-2.mga9
+ Revision: 1797541
- Mageia 9 Mass Rebuild

* Sun May 02 2021 solbu <solbu> 4.7.1-1.mga9
+ Revision: 1720955
- New version: 4.7.1

* Fri Nov 06 2020 solbu <solbu> 4.7.0-1.mga8
+ Revision: 1643032
- New version: 4.7.0

* Wed May 13 2020 solbu <solbu> 4.6.0-1.mga8
+ Revision: 1583447
- New version: 4.6.0

* Tue Feb 18 2020 umeabot <umeabot> 4.5.1-2.mga8
+ Revision: 1539647
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 11 2019 solbu <solbu> 4.5.1-1.mga8
+ Revision: 1465858
- Move COPYING to %%license dir
- Enable and include built in documentation in a separate doc package
- New version: 4.5.1

* Sun Aug 18 2019 solbu <solbu> 4.5.0-1.mga8
+ Revision: 1429771
- New version: 4.5.0

* Mon Apr 15 2019 daviddavid <daviddavid> 4.4.0-1.mga7
+ Revision: 1390595
- new version: 4.4.0

* Sat Sep 22 2018 umeabot <umeabot> 4.3.0-2.mga7
+ Revision: 1295853
- Mageia 7 Mass Rebuild

* Thu May 17 2018 daviddavid <daviddavid> 4.3.0-1.mga7
+ Revision: 1229983
- new version: 4.3.0

* Sun Jan 17 2016 daviddavid <daviddavid> 4.0.0-4.mga6
+ Revision: 924869
- switch to %%configure2_5x to fix build

* Mon Jun 29 2015 solbu <solbu> 4.0.0-3.mga6
+ Revision: 847392
- New version

* Wed Oct 15 2014 umeabot <umeabot> 3.2.1-3.mga5
+ Revision: 747554
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.2.1-2.mga5
+ Revision: 678295
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 solbu <solbu> 3.2.1-1.mga5
+ Revision: 673018
- New version

* Mon Oct 21 2013 umeabot <umeabot> 3.1.4-3.mga4
+ Revision: 540743
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 solbu <solbu> 3.1.4-2.mga4
+ Revision: 494248
- Rebuild for ncurses/tinfo split

* Thu May 30 2013 solbu <solbu> 3.1.4-1.mga4
+ Revision: 433446
- New version

* Fri Jan 11 2013 umeabot <umeabot> 3.1.2-2.mga3
+ Revision: 347332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 02 2013 solbu <solbu> 3.1.2-1.mga3
+ Revision: 337568
- New version

* Mon Nov 19 2012 solbu <solbu> 3.0.0-1.mga3
+ Revision: 319626
- Initial Mageia package

